Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Errore gestore aggiornamenti Linux Mint 17.
#1
Ieri sera, alla ricerca degli aggiornamenti, il gestore aggiornamenti mi dava sempre un messaggio di errore: "Repository non disponibile o non raggiungibile per problemi di rete. Se disponibile verrà utilizzata una versione vecchia degli indici". Ho provato ad aggiornare da terminale con  
sudo apt-get update && sudo apt-get dist-upgrade
ma il problema è rimasto: sempre messaggio di errore dal gestore aggiornamenti e riprovando ad aggiornare da terminale messaggio di errore "somma hash non corrispondente". Ho provato allora a rigenerare la lista dei pacchetti con
sudo rm -r /var/lib/apt/lists/* -vf
e poi
sudo apt-get update  
e nemmeno questo ha risolto: "somma hash non corrispondente". Sono quindi andata a controllare i repository, ho pulito la cache e il gestore aggiornamenti ha ripreso a funzionare regolarmente. Controllando la cronologia degli aggiornamenti, però, ho visto che sono stati installati aggiornamenti di livello 4 e 5 che io avevo sempre evitato di installare: posto la schermata fatta da un altro mio pc sul quale questi aggiornamenti sono disponibili:
   
Mi tocca reinstallare il sistema operativo?
Un saluto affettuosissimo a tutto il forum  Heart
Ciò che conosco??? E' niente rispetto a quello che posso ancora conoscere!!!
Cita messaggio
Grazie da:
#2
da quello che so era un problema momentaneo sui server di ubuntu.

comunque li, non mi pare che hai installato niente, ti dice che sono disponibili e hanno la spunta per essere aggiornati, leva la spunta se non li vuoi aggiornare.

comunque non mi fascerei troppo la testa, quando usavo mint ho sempre lasciato abilitati tutti gli aggiornamenti e non ho mai avuto problemi.

comunque sia, poi, devi andare tu a disabilitare la segnalazione e la ricerca degli aggiornamenti 4 e 5, pero non mi ricordo da dove, mi pare in quel tool di cui hai messo la foto, in una delle impostazioni.
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da: Rossella
#3
Solo se hai fatto :
sudo apt-get upgrade
ti può aver installato aggiornamenti di livello 4-5, bypassando il Gestore Aggiornamenti.

Comunque se apri il Gestore Aggiornamenti e dopi clicchi con il tasto dx sull'icona, scegli preferenze e nella scheda livelli vedi se sono abilitati.
Cita messaggio
Grazie da: Rossella
#4
Non sono abilitati, su tutti i miei computer. Ho dovuto modificare le impostazioni del gestore aggiornamenti del computer che sto usando in questo momento per poterne visualizzare la disponibilità e fare la schermata, in modo da far vedere quali sono gli aggiornamenti 4-5 che da ieri sera sono installati sull'altro computer.

@Supertuxkart, sì, da terminale ho dato
sudo apt-get update && sudo apt-get dist-upgrade
Quindi gli aggiornamenti li ha installati tutti, inclusi quelli di livello 4 e 5 che nelle preferenze del gestore aggiornamenti sono disabilitati.
Mi rode un bel po' ritrovarmeli installati... quando installo il sistema operativo, in fase di primo aggiornamento, la prima cosa che faccio è disabilitarli!!!
Ciò che conosco??? E' niente rispetto a quello che posso ancora conoscere!!!
Cita messaggio
Grazie da:
#5
Da terminale dai :
uname -a
così vedi quale kernel ti ha installato, che forse dovrebbe essere l'ultimo disponibile in ordine di tempo, per quella versione della distro.

Se non ci sono cose particolari, tipo regressioni hardware che danno problemi a qualche periferica, repo "strani" che hanno bisogno di qualche particolare driver per far funzionare l'applicativo o driver proprietari che sono da da ricompilare, ti conviene lasciar stare così com'è.

Se invece hai dei problemi, rientra dal kernel precedente e cancella quello nuovo, se risulta possibile.
I driver proprietari e i repo "strani" se non disinstallati prima dell'aggiornamento ad un nuovo kernel, possono dare problemi anche rendendo impossibile il ripristino dal vecchio kernel.
Cita messaggio
Grazie da: Rossella
#6
@Supertuxkart
Ho controllato questa mattina: la versione del kernel è uguale per tutti i pc (da "visualizza" in gestore aggiornamenti risulta essere per tutti quella raccomandata); su quello su cui non sono stati installati gli aggiornamenti 4-5 risulta datata aprile 2014; su quello su cui invece gli aggiornamenti sono stati installati è datata maggio 2014.
Non ho repo particolari (tranne Google Chrome); ho fatto una veloce verifica e non ho riscontrato problemi con i driver su quel pc.
Penso quindi che gli aggiornamenti 4-5 non abbiamo creato instabilità.
La cosa che mi preoccupa, a questo punto, è piuttosto di aver creato qualche pasticcio tentando di rigenerare i pacchetti con i comandi che ho indicato nel post con cui ho aperto la discussione e pulendo la cache delle sorgenti software.
Ciò che conosco??? E' niente rispetto a quello che posso ancora conoscere!!!
Cita messaggio
Grazie da:
#7
mah, secondo me non hai creato nessun problema, per il kernel starei tranquillo, perché mi pare proprio che su mint, se non lo aggiorni tu dall'apposito tool, non si aggiorna nemmeno con il dist-upgrade, mint è priva proprio di un pacchetto (se non ricordo male linux-image-generic) che è quello che ti fa avanzare il kernel.
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da: Rossella
#8
Hai ragione tuxino, a differenza di Ubuntu che lo fa a piè sospinto creando talvolta problemi agli utenti, lo sviluppatore Clement Lefebvre ha congegnato che nemmeno con dist-upgrade si possa aggiornare il kernel, se non disposto volontariamente dall'utilizzatore, anche nel caso di sbagli involontari come questo. Il che fa di Mint una distro a prova di bomba per l'hardware, non aggiornando il kernel difficilmente può procurare dei danni..
Ho fatto le prove in VM con la MInt Mate 17.2 per accertarmene.

Quindi per Rossella, stai tranquilla.
Anche se hai installato gli aggiornamenti di livello 4-5, sempre che non ti creino problemi con qualche programma specifico o altro, puoi lasciare così.
L'unica cosa, se non ti ha trovato qualche aggiornamento del DE durante la routine di installazione, che mancando potrebbe arrecare qualche fastidio minore, da terminale devi dare :
sudo apt-get upgrade --fix-missing
Cita messaggio
Grazie da: Rossella
#9
Questa sera sto facendo un uso volutamente intensivo del pc "incriminato" e non sto riscontrando alcun tipo di problema; ho verificato la cronologia degli aggiornamenti sugli altri pc su cui è installato Mint 17 e non ci sono, al momento, aggiornamenti mancanti.
Per ora, quindi, tutto mi fa pensare che "l'incidente" non abbia causato danni... tranne l'amaro in bocca per me che, sempre attenta nella gestione dei miei pc, non mi sono nemmeno fatta sfiorare dal pensiero della cosa più banale, che cioè l'errore nell'aggiornamento fosse semplicemente dovuto a un problema momentaneo del server di Ubuntu.

@Tuxino, @Supertuxkart;
vi ringrazio di cuore per la disponibilità e l'aiuto che mi avete dato. Metto "risolto" alla discussione mandando a voi e a tutti gli amici del forum un affettuoso abbraccio.
Ciò che conosco??? E' niente rispetto a quello che posso ancora conoscere!!!
Cita messaggio
Grazie da:
#10
prego, figurati  At
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)